---
updatedAt: 2026-05-12T10:00:54.000Z
---

# Submit a retest request for one or more vulnerabilities

This operation enables you to submit a request to retest the specified vulnerabilities. No request body is required.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "x-explorer-enabled": false,
  "info": {
    "title": "Vuln API (Legacy)",
    "license": {
      "name": "(c) Copyright 2020 WhiteHat Security"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com"
    }
  ],
  "paths": {
    "/api/vuln/retest/{vuln_id}": {
      "put": {
        "tags": [
          "Vuln API v1.0"
        ],
        "summary": "Submit a retest request for one or more vulnerabilities",
        "description": "This operation enables you to submit a request to retest the specified vulnerabilities. No request body is required.",
        "operationId": "submitRetestRequest",
        "parameters": [
          {
            "name": "vuln_id",
            "in": "path",
            "description": "Vulnerability ID. Can be a single ID or a comma-separated list of IDs.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "format",
            "in": "query",
            "description": "Requested resource format for the response.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "xml",
              "example": "json",
              "enum": [
                "json",
                "xml"
              ]
            }
          }
        ],
        "responses": {
          "202": {
            "description": "Provides the retested vulnerabilities.",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RetestCollection"
                }
              },
              "text/xml": {
                "example": "XML preview is currently not supported."
              }
            }
          },
          "400": {
            "description": "BadRequestResponse indicates a request with invalid parameters.",
            "content": {}
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access.",
            "content": {}
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized.",
            "content": {}
          },
          "500": {
            "description": "GenericError generic error.",
            "content": {}
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "Retest": {
        "type": "array",
        "items": {
          "properties": {
            "id": {
              "type": "string"
            },
            "status": {
              "type": "string"
            },
            "retest_state": {
              "type": "string"
            },
            "last_retest_date": {
              "type": "string"
            },
            "attack_vectors": {
              "type": "array",
              "items": {
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "retest_state": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      },
      "RetestCollection": {
        "type": "object",
        "properties": {
          "retest": {
            "$ref": "#/components/schemas/Retest"
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```